PooledDataSourceManagerMBean (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.management

## Interface PooledDataSourceManagerMBean

- All Known Implementing Classes:
    PooledDataSourceManager

      public interface PooledDataSourceManagerMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `java.util.Collection` | `getAllUsers()`
    `java.lang.String` | `getDataSourceName()`
    `float` | `getEffectivePropertyCycle(java.lang.String username, java.lang.String password)`
    `float` | `getEffectivePropertyCycleDefaultUser()`
    `java.lang.String` | `getIdentityToken()`
    `int` | `getNumBusyConnections(java.lang.String username, java.lang.String password)`
    `int` | `getNumBusyConnectionsAllUsers()`
    `int` | `getNumBusyConnectionsDefaultUser()`
    `int` | `getNumConnections(java.lang.String username, java.lang.String password)`
    `int` | `getNumConnectionsAllUsers()`
    `int` | `getNumConnectionsDefaultUser()`
    `int` | `getNumIdleConnections(java.lang.String username, java.lang.String password)`
    `int` | `getNumIdleConnectionsAllUsers()`
    `int` | `getNumIdleConnectionsDefaultUser()`
    `int` | `getNumUnclosedOrphanedConnections(java.lang.String username, java.lang.String password)`
    `int` | `getNumUnclosedOrphanedConnectionsAllUsers()`
    `int` | `getNumUnclosedOrphanedConnectionsDefaultUser()`
    `int` | `getNumUserPools()`
    `int` | `getThreadPoolNumActiveThreads()`
    `int` | `getThreadPoolNumIdleThreads()`
    `int` | `getThreadPoolNumTasksPending()`
    `int` | `getThreadPoolSize()`
    `void` | `hardReset()`
    `java.lang.String` | `sampleThreadPoolStackTraces()`
    `java.lang.String` | `sampleThreadPoolStatus()`
    `void` | `setDataSourceName(java.lang.String dataSourceName)`
    `void` | `softReset(java.lang.String username, java.lang.String password)`
    `void` | `softResetAllUsers()`
    `void` | `softResetDefaultUser()`

- - ### Method Detail

    - #### getIdentityToken

          java.lang.String getIdentityToken()

    - #### getDataSourceName

          java.lang.String getDataSourceName()

    - #### setDataSourceName

          void setDataSourceName(java.lang.String dataSourceName)

    - #### getNumConnectionsDefaultUser

          int getNumConnectionsDefaultUser()
                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumIdleConnectionsDefaultUser

          int getNumIdleConnectionsDefaultUser()
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumBusyConnectionsDefaultUser

          int getNumBusyConnectionsDefaultUser()
                                        throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumUnclosedOrphanedConnectionsDefaultUser

          int getNumUnclosedOrphanedConnectionsDefaultUser()
                                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getEffectivePropertyCycleDefaultUser

          float getEffectivePropertyCycleDefaultUser()
                                              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### softResetDefaultUser

          void softResetDefaultUser()
                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumConnections

          int getNumConnections(java.lang.String username,
                                java.lang.String password)
                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumIdleConnections

          int getNumIdleConnections(java.lang.String username,
                                    java.lang.String password)
                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumBusyConnections

          int getNumBusyConnections(java.lang.String username,
                                    java.lang.String password)
                             throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumUnclosedOrphanedConnections

          int getNumUnclosedOrphanedConnections(java.lang.String username,
                                                java.lang.String password)
                                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getEffectivePropertyCycle

          float getEffectivePropertyCycle(java.lang.String username,
                                          java.lang.String password)
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### softReset

          void softReset(java.lang.String username,
                         java.lang.String password)
                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumBusyConnectionsAllUsers

          int getNumBusyConnectionsAllUsers()
                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumIdleConnectionsAllUsers

          int getNumIdleConnectionsAllUsers()
                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumConnectionsAllUsers

          int getNumConnectionsAllUsers()
                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumUnclosedOrphanedConnectionsAllUsers

          int getNumUnclosedOrphanedConnectionsAllUsers()
                                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getThreadPoolSize

          int getThreadPoolSize()
                         throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getThreadPoolNumActiveThreads

          int getThreadPoolNumActiveThreads()
                                     throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getThreadPoolNumIdleThreads

          int getThreadPoolNumIdleThreads()
                                   throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getThreadPoolNumTasksPending

          int getThreadPoolNumTasksPending()
                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### sampleThreadPoolStackTraces

          java.lang.String sampleThreadPoolStackTraces()
                                                throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### sampleThreadPoolStatus

          java.lang.String sampleThreadPoolStatus()
                                           throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### softResetAllUsers

          void softResetAllUsers()
                          throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getNumUserPools

          int getNumUserPools()
                       throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### getAllUsers

          java.util.Collection getAllUsers()
                                    throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### hardReset

          void hardReset()
                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### close

          void close()
              throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`